ChiliProject - Bug # 869: Issue option list stacked vertically instead of horizontally

Status: Closed Priority: High

Author: Tom Rochette Category: User interface
Created: 2012-02-07 Assignee: Felix Schéfer
Updated: 2012-04-04 Due date:

Remote issue URL:

Affected version: 3.0.0

Description: Hi,

In Firefox 13a1, the list of options in an issue page is displaying incorrectly (see attached screenshot).

Associated revisions

2008-03-21 10:37 pm - Jean-Philippe Lang
Trac importer: prevent validation failure due to the default value when saving the Resolution custom field if it already exists (#869).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1286 €93f8b46-1217-0410-a6f0-8f06a7374b81

2012-02-24 04:36 pm - Felix SchAxfer

Fix issue option list orientation #869

Contributed by Alf Gaida.

History

2012-02-07 09:04 am - Holger Just
- Priority changed from Normal to High

- Target version set to 3.1.0

| don't see your screenshot, but | can see the issue.

2012-02-07 10:17 am - Alf Gaida

- File contextual _icon_links.diff added

if i dont miss something, this should fix that. tested on chili.siduction.org and my private chili without glitches so far.

2012-02-07 10:47 am - Holger Just

That helps in this place but breaks in the saved query view which was the actual cause for the change. See #826.

2012-02-07 12:39 pm - Alf Gaida
Got it. have reverted my patch and applied the patch by Sascha Drew. Solved this for me.

2012-02-07 02:59 pm - Tom Rochette

- File bug_option_list.png added

Looks like my attachment failed to attach. Attaching simply for posterity ;)

2012-02-07 04:26 pm - Alf Gaida
- File 689 _fix.diff added
have some feedback from our users. Saschas Patch solves the problem only for chromium.

Der angehArngte Patch ersetzt contextual_icons_links.diff und sollte #826 nicht kaputtmachen.

2012-02-24 03:26 pm - Felix Schafer
- Assignee set to Felix Schéfer

- Status changed from Open to Ready for review

Alf's latest patch fixes this for me on Firefox/OS X and doesn't seem to break anything on Chrome/OS X, Chrome Canary/OS X and Safari 5.2/0S X,
merging it in a short moment.

2012-02-24 03:37 pm - Felix Schéfer

- Status changed from Ready for review to Closed

Pushed in commit:fbc71a8, thanks a lot Alf. As a rule of thumb though, try to avoid comments like "fixes #foo", that's something your SCM should be

able to tell you ;-)

2012-04-04 01:19 pm - Tom Rochette
Confirmed to be fixed @ 3.1.0 in Firefox 11.

Files

contextual_icon_links.diff 380 Bytes 2012-02-07 Alf Gaida
bug_option_list.png 30.6 kB 2012-02-07 Tom Rochette
